<!-- 
片段名称： 更新回答
作者:     wzd
时间：     2020-8-8
功能：    更新回答界面，用户更新已添加的回答
修改记录： 
--> 

<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %} {% load staticfiles %}
<!-- 写入 base.html 中定义的 title -->
{% block title %} 更新回答 {% endblock title %}
<!-- 写入 base.html 中定义的 content -->
{% block content %}
<!-- 写文章表单 -->
<div class="container">
    <div class="row">
        <div class="col-12">
            <br>
            <!-- 问题标题 -->
            <h1>{{ question.title }}</h1>
            <!-- 问题描述 -->
            <p>{{ question.description|safe }} </p>

            <!-- 提交回答的表单 -->
            <form method="post" enctype="multipart/form-data" action=".">
                <!-- Django中需要POST数据的地方都必须有csrf_token -->
                {% csrf_token %}
                <!-- 文章正文 -->
                <div class="form-group">
                    <label for="body">回答</label>
                    <!-- 文本区域 -->
                    <textarea type="text" class="form-control" id="body" name="body" rows="12" >{{answer.body}}</textarea>
                </div>
                <!-- 上传文件 -->
                <div class="form-group">
                    <label for="file">上传文件</label>
                    <input type="file" class="form-control-file" name="file" id="file">
                </div>
                <!-- 提交按钮 -->
                <button type="submit" class="btn btn-primary">提交回答</button>
            </form>
        </div>
    </div>
</div>

{% if messages %}
<!--弹框形式-->
        <script>
            {% for msg in messages %}
                alert('{{ msg.message }}');
            {% endfor %}
        </script>
<!--左下角弹框形式-->
<!--<ul class="messages">-->
<!--    {% for message in messages %}-->
<!--    <li {% if message.tags %} class="{{ message.tags }}" {% endif %}>{{ message }}</li>-->
<!--    {% endfor %}-->
<!--</ul>-->
{% endif %}
{% endblock content %}
